package com.okseby.game;

import java.awt.event.KeyEvent;

import com.okseby.engine.AbstractGame;
import com.okseby.engine.GameContainer;
import com.okseby.engine.Renderer;
import com.okseby.engine.gfx.Image;

public class GameManager extends AbstractGame {
    static GameContainer gc;

    private Image image;
    
    public GameManager() {
        image = new Image("/test.png");
    }

    @Override
    public void update(float dt) {
        if (gc.input.isKey(KeyEvent.VK_ESCAPE)) {
            System.exit(0);
        }
    }

    @Override
    public void render(Renderer r) {
        r.drawImage(image, gc.input.mouseX - image.getW() / 2, gc.input.mouseY - image.getH() / 2);
	}
    
    public static void main(String[] args) {
        gc = new GameContainer(new GameManager());
        gc.start();
    }
}